%global enable_tests 0
%global srcname istanbul

Name:           nodejs-%{srcname}
Version:        0.3.5
Release:        1%{?dist}
Summary:        A JS code coverage tool written in JS
License:        BSD
Group:          System Environment/Libraries
URL:            https://github.com/gotwarlost/istanbul
Source0:        http://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
Source1:        nodejs-istanbul-tests-v0.3.0.tar.bz2
Source10:       nodejs-istanbul-dl-tests.sh

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(fileset)
BuildRequires:  npm(escodegen)
BuildRequires:  npm(requirejs)
BuildRequires:  npm(handlebars)
%endif


%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
rm -rf node_modules/
%nodejs_fixdep async
%nodejs_fixdep esprima
%nodejs_fixdep handlebars
%nodejs_fixdep js-yaml
%nodejs_fixdep mkdirp
%nodejs_fixdep nopt
%nodejs_fixdep resolve


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js lib/  %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/lib/cli.js %{buildroot}%{_bindir}/istanbul-js

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
test/run.js
%endif


%files
%doc README.md yui-coverage-comparison.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}
%{_bindir}/istanbul-js


%changelog
* Tue Feb  3 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.3.5-1
- Update to upstream version 0.3.5

* Wed Dec 10 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.3.2-3
- Renamed binary name to prevent conflict
- Temporary disabled tests because of RHBZ#1172471

* Sat Dec  6 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.3.2-2
- Removed group tag
- Added rm -rf node_modules

* Fri Nov 21 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.3.2-1
- Initial package
